Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.ftp
Class FtpFileSystemConfigBuilder

    java.lang.Object
      org.apache.commons.vfs.FileSystemConfigBuilder
          org.apache.commons.vfs.provider.ftp.FtpFileSystemConfigBuilder

public class FtpFileSystemConfigBuilder
extends FileSystemConfigBuilder

The config builder for various ftp configuration options

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Mario Ivankovits

Method Summary
`protected Class` | `getConfigClass()`
`Integer` | `getDataTimeout(FileSystemOptions opts)`
`String` | `getDefaultDateFormat(FileSystemOptions opts)` get the language code used by the server. see `FTPClientConfig` for details and examples.
`String` | `getEntryParser(FileSystemOptions opts)`
`org.apache.commons.net.ftp.parser.FTPFileEntryParserFactory` | `getEntryParserFactory(FileSystemOptions opts)`
`static FtpFileSystemConfigBuilder` | `getInstance()`
`Boolean` | `getPassiveMode(FileSystemOptions opts)`
`String` | `getRecentDateFormat(FileSystemOptions opts)` see `FTPClientConfig` for details and examples.
`String` | `getServerLanguageCode(FileSystemOptions opts)` get the language code used by the server. see `FTPClientConfig` for details and examples.
`String` | `getServerTimeZoneId(FileSystemOptions opts)` see `FTPClientConfig` for details and examples.
`String[]` | `getShortMonthNames(FileSystemOptions opts)` see `FTPClientConfig` for details and examples.
`Boolean` | `getUserDirIsRoot(FileSystemOptions opts)`
`void` | `setDataTimeout(FileSystemOptions opts, Integer dataTimeout)` set the data timeout for the ftp client.
`void` | `setDefaultDateFormat(FileSystemOptions opts, String defaultDateFormat)` set the language code used by the server. see `FTPClientConfig` for details and examples.
`void` | `setEntryParser(FileSystemOptions opts, String key)` set the FQCN of your FileEntryParser used to parse the directory listing from your server.
`void` | `setEntryParserFactory(FileSystemOptions opts, org.apache.commons.net.ftp.parser.FTPFileEntryParserFactory factory)` FTPFileEntryParserFactory which will be used for ftp-entry parsing
`void` | `setPassiveMode(FileSystemOptions opts, boolean passiveMode)` enter into passive mode
`void` | `setRecentDateFormat(FileSystemOptions opts, String recentDateFormat)` see `FTPClientConfig` for details and examples.
`void` | `setServerLanguageCode(FileSystemOptions opts, String serverLanguageCode)` set the language code used by the server. see `FTPClientConfig` for details and examples.
`void` | `setServerTimeZoneId(FileSystemOptions opts, String serverTimeZoneId)` see `FTPClientConfig` for details and examples.
`void` | `setShortMonthNames(FileSystemOptions opts, String[] shortMonthNames)` see `FTPClientConfig` for details and examples.
`void` | `setUserDirIsRoot(FileSystemOptions opts, boolean userDirIsRoot)` use user directory as root (do not change to fs root)

Methods inherited from class org.apache.commons.vfs.FileSystemConfigBuilder
`getParam, hasParam, setParam`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static FtpFileSystemConfigBuilder getInstance()

### setEntryParserFactory

    public void setEntryParserFactory(FileSystemOptions opts,
                                      org.apache.commons.net.ftp.parser.FTPFileEntryParserFactory factory)

  FTPFileEntryParserFactory which will be used for ftp-entry parsing

  Parameters:
    `opts` -
    `factory` - instance of your factory

### getEntryParserFactory

    public org.apache.commons.net.ftp.parser.FTPFileEntryParserFactory getEntryParserFactory(FileSystemOptions opts)

  Parameters:
    `opts` -
  See Also:
    `setEntryParserFactory(org.apache.commons.vfs.FileSystemOptions, org.apache.commons.net.ftp.parser.FTPFileEntryParserFactory)`

### setEntryParser

    public void setEntryParser(FileSystemOptions opts,
                               String key)

  set the FQCN of your FileEntryParser used to parse the directory listing from your server.
  If you do not use the default commons-net FTPFileEntryParserFactory e.g. by using `setEntryParserFactory(org.apache.commons.vfs.FileSystemOptions, org.apache.commons.net.ftp.parser.FTPFileEntryParserFactory)` this is the "key" parameter passed as argument into your custom factory

  Parameters:
    `opts` -
    `key` -

### getEntryParser

    public String getEntryParser(FileSystemOptions opts)

  Parameters:
    `opts` -
  See Also:
    `setEntryParser(org.apache.commons.vfs.FileSystemOptions, java.lang.String)`

### getConfigClass

    protected Class getConfigClass()

  Specified by:
    `getConfigClass` in class `FileSystemConfigBuilder`

### setPassiveMode

    public void setPassiveMode(FileSystemOptions opts,
                               boolean passiveMode)

  enter into passive mode

  Parameters:
    `opts` -
    `passiveMode` -

### getPassiveMode

    public Boolean getPassiveMode(FileSystemOptions opts)

  Parameters:
    `opts` -
  See Also:
    `setPassiveMode(org.apache.commons.vfs.FileSystemOptions, boolean)`

### setUserDirIsRoot

    public void setUserDirIsRoot(FileSystemOptions opts,
                                 boolean userDirIsRoot)

  use user directory as root (do not change to fs root)

  Parameters:
    `opts` -
    `userDirIsRoot` -

### getUserDirIsRoot

    public Boolean getUserDirIsRoot(FileSystemOptions opts)

  Parameters:
    `opts` -
  See Also:
    `setUserDirIsRoot(org.apache.commons.vfs.FileSystemOptions, boolean)`

### getDataTimeout

    public Integer getDataTimeout(FileSystemOptions opts)

  Parameters:
    `opts` -
  See Also:
    `setDataTimeout(org.apache.commons.vfs.FileSystemOptions, java.lang.Integer)`

### setDataTimeout

    public void setDataTimeout(FileSystemOptions opts,
                               Integer dataTimeout)

  set the data timeout for the ftp client.
  If you set the dataTimeout to `null` no dataTimeout will be set on the ftp client.

  Parameters:
    `opts` -
    `dataTimeout` -

### getServerLanguageCode

    public String getServerLanguageCode(FileSystemOptions opts)

  get the language code used by the server. see `FTPClientConfig` for details and examples.

### setServerLanguageCode

    public void setServerLanguageCode(FileSystemOptions opts,
                                      String serverLanguageCode)

  set the language code used by the server. see `FTPClientConfig` for details and examples.

### getDefaultDateFormat

    public String getDefaultDateFormat(FileSystemOptions opts)

  get the language code used by the server. see `FTPClientConfig` for details and examples.

### setDefaultDateFormat

    public void setDefaultDateFormat(FileSystemOptions opts,
                                     String defaultDateFormat)

  set the language code used by the server. see `FTPClientConfig` for details and examples.

### getRecentDateFormat

    public String getRecentDateFormat(FileSystemOptions opts)

  see `FTPClientConfig` for details and examples.

### setRecentDateFormat

    public void setRecentDateFormat(FileSystemOptions opts,
                                    String recentDateFormat)

  see `FTPClientConfig` for details and examples.

### getServerTimeZoneId

    public String getServerTimeZoneId(FileSystemOptions opts)

  see `FTPClientConfig` for details and examples.

### setServerTimeZoneId

    public void setServerTimeZoneId(FileSystemOptions opts,
                                    String serverTimeZoneId)

  see `FTPClientConfig` for details and examples.

### getShortMonthNames

    public String[] getShortMonthNames(FileSystemOptions opts)

  see `FTPClientConfig` for details and examples.

### setShortMonthNames

    public void setShortMonthNames(FileSystemOptions opts,
                                   String[] shortMonthNames)

  see `FTPClientConfig` for details and examples.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.